Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.ident
Class Identity

    java.lang.Object
      org.jboss.remoting.ident.Identity

All Implemented Interfaces:
  Serializable

public class Identity
extends Object
implements Serializable

Identity is used to uniquely identify a JBoss server instance on the network.

Version:
  $Revision: 1.8 $
Author:
  Jeff Haynie
See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_DOMAIN`

Method Summary
`static String` | `createUniqueID()`
`boolean` | `equals(Object obj)`
`static Identity` | `get(javax.management.MBeanServer server)`
`InetAddress` | `getAddress()` return the JBOSS IP Address of the instance
`String` | `getDomain()` return the domain for the server
`String` | `getInstanceId()` return the JBOSS Instance ID, which is the same between reboots of the same JBOSS server instance.
`String` | `getJMXId()` return the JMX server ID for the JBoss instance, which is different between reboots of the same JBOSS server instance.
`int` | `hashCode()`
`boolean` | `isSameInstance(Identity identity)` returns true if the identity represents the same JBOSS Instance, although may not be the exact same process space since the JVM process space might be different (such as a reboot).
`boolean` | `isSameJVM(Identity identity)` returns true if the identity represents the same JVM
`boolean` | `isSameMachine(Identity identity)` returns true if the identity is on the same JBOSS machine, represented by the same IP address (this may not work in the case several physically different machines have the same IP Address).
`static void` | `setDomain(String domain)` set the domain for all active mbean servers
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DOMAIN

    public static transient String DEFAULT_DOMAIN

Method Detail

### setDomain

    public static void setDomain(String domain)

  set the domain for all active mbean servers

### hashCode

    public int hashCode()

### toString

    public String toString()

### getDomain

    public final String getDomain()

  return the domain for the server

  Returns:

### getInstanceId

    public String getInstanceId()

  return the JBOSS Instance ID, which is the same between reboots of the same JBOSS server instance.

  Returns:

### getAddress

    public InetAddress getAddress()

  return the JBOSS IP Address of the instance

  Returns:

### getJMXId

    public String getJMXId()

  return the JMX server ID for the JBoss instance, which is different between reboots of the same JBOSS server instance.

  Returns:

### isSameJVM

    public boolean isSameJVM(Identity identity)

  returns true if the identity represents the same JVM

  Parameters:
    `identity` -
  Returns:

### isSameInstance

    public boolean isSameInstance(Identity identity)

  returns true if the identity represents the same JBOSS Instance, although may not be the exact same process space since the JVM process space might be different (such as a reboot).

  Parameters:
    `identity` -
  Returns:

### isSameMachine

    public boolean isSameMachine(Identity identity)

  returns true if the identity is on the same JBOSS machine, represented by the same IP address (this may not work in the case several physically different machines have the same IP Address).

  Parameters:
    `identity` -
  Returns:

### equals

    public boolean equals(Object obj)

### get

    public static final Identity get(javax.management.MBeanServer server)

### createUniqueID

    public static final String createUniqueID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.